Bug 220941

Summary: [Curl] Enable FTP protocol only when ENABLE_FTPDIR is on
Product: WebKit Reporter: Don Olmstead <don.olmstead>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, ews-watchlist, galpeter, gyuyoung.kim, Hironori.Fujii, ryuan.choi, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Don Olmstead 2021-01-25 12:26:16 PST
...
Comment 1 Don Olmstead 2021-01-25 12:33:49 PST
Created attachment 418322 [details]
Patch
Comment 2 Fujii Hironori 2021-01-26 12:41:07 PST
Comment on attachment 418322 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=418322&action=review

> Source/cmake/OptionsWin.cmake:90
> +    WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_FTPDIR PRIVATE OFF)

Nice. However, this is a breaking change. But, I think no WinCairo users are affected.
Comment 3 Fujii Hironori 2021-01-26 12:43:39 PST
Comment on attachment 418322 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=418322&action=review

> Source/WebCore/platform/network/curl/CurlContext.cpp:534
> +#if ENABLE(FTPDIR)

All upstream curl ports disable FTDIR now. You can remove this unused code if you want.
Comment 4 Radar WebKit Bug Importer 2021-02-01 12:27:14 PST
<rdar://problem/73840873>
Comment 5 EWS 2021-02-01 13:19:02 PST
Committed r272171: <https://trac.webkit.org/changeset/272171>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 418322 [details].